Skip to main content
POST
/
private
/
GetOtcActiveQuotes
Get OTC Active Quotes
curl --request POST \
  --url https://api.kraken.com/0/private/GetOtcActiveQuotes \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "nonce": 123,
  "vault_id": "456TR123"
}
'
{
  "error": [
    "EGeneral:Invalid arguments"
  ],
  "result": [
    {
      "expires": {
        "time": 1715155200000
      },
      "quote_id": "00001c47-8f59-4099-b6f8-b637437ef1ab",
      "base": "BTC",
      "quote": "USD",
      "type": "buy",
      "amount": "2.5",
      "settlement": "automated",
      "client_order_id": "7264675290025181184",
      "price": "100000.25",
      "total": "250000.625"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Body

application/json

Request body for retrieving active OTC quotes. This endpoint allows filtering of active quotes based on specific criteria. All parameters are optional and can be used to refine the search results.

nonce
integer<int64>
required

Nonce used in construction of API-Sign header

vault_id
string

The unique identifier of the vault associated with the OTC trade. This parameter is specifically used for custody OTC trades to filter quotes related to a particular vault.

Example:

"456TR123"

Response

Active quotes retrieved.

Response schema for retrieving active OTC quotes.

error
string[]
required

Kraken API error

result
Active quotes · object[]